package com.hdp.pi.dto.kolon;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;

public class KolonMemberDTO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public Long csNo;

	public String phone;

	public String lastName;

	public String firstName;

	public String email;

	public Integer status;

	public Integer bonus;

	public Integer lifecycle;

	public Integer customerType;

	public Date lastPurchaseDate;
	
	public String wechatLastName;

	public String wechatFirstName;

	public KolonMemberDTO(String[] s) {
		super();
		this.csNo = Long.valueOf(s[0]);
		this.lastName = s[1];
		this.firstName = s[2];
		this.phone = s[3];
		this.email = s[4];
		this.status = Integer.valueOf(s[5]);
		this.bonus = Integer.valueOf(s[6]);
		this.lifecycle = Integer.valueOf(s[7]);
		this.customerType = Integer.valueOf(s[8]);
		LocalDate dateToConvert = LocalDate.parse(s[9]);
		Date convertToDate =
		    Date.from(dateToConvert.atStartOfDay().atZone(ZoneId.systemDefault()).toInstant());
		this.lastPurchaseDate = convertToDate;
		this.wechatLastName= this.lastName;
		this.wechatFirstName= this.firstName;
	}

}
